The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Syslog Configuration

Prev Next

This URL gets the syslog configuration for faults notification.

Resource URL

GET /domain/<domain_id>/notification/faults/syslog

Request Parameters

URL Request Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Response Parameters

Details of SyslogNotification:

Field Name

Description

Data Type

Mandatory

enableSyslog

Enable syslog notification

Boolean

Yes

parentAndChildDomain

Parent and child domain

Boolean

Yes

serverIp

Server IP address

String

Yes

serverPort

Server port

Number

Yes

facilities

Facilities

String

No

severity

Severity mapping

Object

No

forwrdResults

Forward results

String

No

Message

Message

String

No

Details of severity mapping:

Field Name

Description

Data Type

Mandatory

inforamtionTo

Information mapping

String

No

warningTo

Warning mapping

String

No

errorTo

Error mapping

String

No

criticalTo

Critical mapping

String

No

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/notification/faults/syslog

Response

{
	[
   "enableSyslog": true,
   "parentAndChildDomain": true,
   "serverIp": "1.1.1.2",
   "serverPort": 515,
   "facilities": "CLOCK_DAEMON_NOTE_2",
   "severityMapping":
   {
       "informationTo": "EMERGENCY_SYSTEM_UNUSABLE",
       "errorTo": "EMERGENCY_SYSTEM_UNUSABLE",
       "warningTO": "EMERGENCY_SYSTEM_UNUSABLE",
       "criticalTo": "EMERGENCY_SYSTEM_UNUSABLE"
   },
   "forwrdResults": "INFORMATIONAL_AND_ABOVE",
   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$"
       ]
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain